"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getForm = void 0;
var react_1 = __importDefault(require("react"));
var multi_line_input_1 = __importDefault(require("primeobjects-ui-web-form/build/cjs/fields/input/multi-line-input"));
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var getForm = function (customProps) {
    var toChangeRecord = customProps.toChangeRecord;
    var getRows = function (record) {
        return [
            {
                fields: [
                    {
                        name: "entitiesJSON",
                        alwaysShowLabel: true,
                        label: "Entities",
                        type: "container",
                        content: (react_1.default.createElement(multi_line_input_1.default, { inputWrapperStyle: {
                                border: "none"
                            }, inputClassName: "input", inputStyle: {
                                border: "solid 1px ".concat(primeobjects_helper_util_1.COLORS.GRAY["200"])
                            }, id: "entitiesJSONMultiLineInputField", value: JSON.stringify(record.entities, null, 4), onChange: function (newValue) {
                                try {
                                    if (newValue) {
                                        record.entities =
                                            JSON.parse(newValue);
                                        toChangeRecord(record);
                                    }
                                }
                                catch (_a) { }
                            } }))
                    }
                ]
            }
        ];
    };
    return {
        id: "entitiesJSON",
        tooltip: "Entities",
        iconSrc: "/icons/platform/settings.svg",
        getRows: getRows
    };
};
exports.getForm = getForm;
//# sourceMappingURL=entities-json.js.map