"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMaxResultLengthRows = exports.MAX_RESULT_LENGTH_VALUE = exports.STEP_RESULT_LENGTH_VALUE = exports.MIN_RESULT_LENGTH_VALUE = void 0;
var react_1 = __importDefault(require("react"));
var lodash_1 = require("lodash");
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
exports.MIN_RESULT_LENGTH_VALUE = 300;
exports.STEP_RESULT_LENGTH_VALUE = 50;
exports.MAX_RESULT_LENGTH_VALUE = 4 * 3500;
var getMaxResultLengthRows = function (props) {
    var _a, _b;
    var fieldName = props.fieldName, record = props.record, primaryColor = props.primaryColor, tab = props.tab, skipRecordUpdate = props.skipRecordUpdate, labelColor = props.labelColor, labelClassName = props.labelClassName, labelStyle = props.labelStyle;
    var minResultLength = (_a = props.minResultLength) !== null && _a !== void 0 ? _a : exports.MIN_RESULT_LENGTH_VALUE;
    var maxResultLength = (_b = props.maxResultLength) !== null && _b !== void 0 ? _b : exports.MAX_RESULT_LENGTH_VALUE;
    var defaultValue = (0, lodash_1.isNumber)(props.defaultValue) && props.defaultValue > 0
        ? props.defaultValue
        : minResultLength;
    var value = tab == "run" ? props.value : record[fieldName];
    var onClickReset = function () {
        if (props.onClickReset)
            return props.onClickReset();
    };
    return [
        {
            style: { paddingBottom: "0.2rem" },
            fields: [
                {
                    name: "".concat(fieldName, "Label"),
                    lineClassName: labelClassName,
                    lineStyle: labelColor
                        ? __assign({ color: labelColor }, labelStyle) : labelStyle,
                    line: "Max. ".concat((0, primeobjects_helper_util_1.numberWithCommas)(value), " result characters"),
                    colStyle: { maxWidth: 220, minWidth: 220 },
                    labelSVGClassName: "self-center",
                    type: "label"
                },
                {
                    colStyle: {
                        marginLeft: 0,
                        paddingLeft: 0,
                        width: 140,
                        maxWidth: 140,
                        flex: "none"
                    },
                    name: fieldName,
                    hideLabel: true,
                    stepValue: exports.STEP_RESULT_LENGTH_VALUE,
                    defaultValue: defaultValue,
                    maxValue: maxResultLength,
                    minValue: minResultLength,
                    type: "slider",
                    value: value,
                    useFieldValue: tab == "run",
                    skipRecordUpdate: skipRecordUpdate,
                    onChange: props.onChange
                },
                tab == "run" &&
                    props.onClickReset && {
                    colStyle: {
                        marginLeft: 20,
                        paddingLeft: 0,
                        flex: "none"
                    },
                    name: "".concat(fieldName, "ResetButton"),
                    hideLabel: true,
                    type: "container",
                    content: (react_1.default.createElement("button", { className: "text-white p-2 bg-".concat(primaryColor.name, "-400 hover:bg-").concat(primaryColor.name, "-500 text-xs shadow hover:shadow-lg justify-center rounded mt-2 leading-none"), onClick: onClickReset }, "Reset"))
                }
            ]
        }
    ];
};
exports.getMaxResultLengthRows = getMaxResultLengthRows;
//# sourceMappingURL=max-result-length-rows.js.map