//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
import { doNothing } from "primeobjects-helper-util";
export var getForm = function (customProps) {
    var primaryColor = customProps.primaryColor;
    var getRows = function (record) {
        doNothing(record);
        return [
            {
                fields: [
                    {
                        name: "apiKeysSection",
                        line: "Manage app level API keys",
                        lineStyle: {
                            fontSize: "1.2rem",
                            color: primaryColor[600]
                        },
                        subLine: "If any API key is not specified at the app level below, then the API key defined at the organization level will be used.",
                        type: "section",
                        wrapperStyle: {
                            paddingTop: 0,
                            marginTop: 0
                        }
                    }
                ]
            },
            {
                fields: [
                    {
                        type: "rows",
                        rows: [
                            {
                                fields: [
                                    {
                                        groupName: "keys",
                                        name: "apiKeyGoogleGeocode",
                                        type: "single-line-input",
                                        label: "Google Geocode API key"
                                    },
                                    {
                                        groupName: "keys",
                                        name: "apiKeyGoogleMap",
                                        type: "single-line-input",
                                        label: "Google Map API key"
                                    }
                                ]
                            },
                            {
                                fields: [
                                    {
                                        groupName: "keys",
                                        name: "recaptchaSiteKey",
                                        type: "single-line-input",
                                        label: "Recaptcha site key"
                                    },
                                    {
                                        type: "placeholder"
                                    }
                                ]
                            }
                        ]
                    }
                ]
            }
        ];
    };
    return {
        id: "api-keys",
        tooltip: "API Keys",
        iconSrc: "/icons/app/api-key.svg",
        getRows: getRows,
        requiredFields: ["name"],
        alwaysShowLabel: true
    };
};
//# sourceMappingURL=api-keys-form.js.map