import React, { CSSProperties } from "react";
import { TFormCustomProps } from "primeobjects-ui-web-application/build/cjs/components/forms/types";
export declare const NOTE_FOR_AI_TEMPERATURE = "\n    The temperature setting controls the randomness of the generated text. \n    A value of 0 makes the AI deterministic, which means that it will always generate the same output for a given input text. \n    A value of 1 makes the engine take the most risks and use a lot of creativity.\n";
export declare const getTemperatureRows: (props: TFormCustomProps & {
    fieldName: string;
    value?: number | undefined;
    skipRecordUpdate?: boolean | undefined;
    defaultValue?: number | undefined;
    tab?: "run" | "design" | undefined;
    onClickReset?: (() => void) | undefined;
    onChange?: ((newRecord: Record<string, any>, field?: Record<string, any>) => Record<string, any> | undefined) | undefined;
    labelColor?: string | undefined;
    labelClassName?: string | undefined;
    labelStyle?: React.CSSProperties | undefined;
}) => (false | {
    fields: {
        name: string;
        type: string;
        line: string;
        onClickClose: () => void;
    }[];
    style?: undefined;
} | {
    style: {
        paddingBottom: number;
    };
    fields: (false | {
        name: string;
        lineClassName: string | undefined;
        lineStyle: React.CSSProperties | undefined;
        line: string;
        colStyle: {
            maxWidth: number;
            minWidth: number;
            marginLeft?: undefined;
            paddingLeft?: undefined;
            width?: undefined;
            flex?: undefined;
        };
        labelSVGClassName: string;
        onClickInfo: () => void;
        type: string;
        hideLabel?: undefined;
        stepValue?: undefined;
        defaultValue?: undefined;
        maxValue?: undefined;
        minValue?: undefined;
        value?: undefined;
        useFieldValue?: undefined;
        skipRecordUpdate?: undefined;
        onChange?: undefined;
        content?: undefined;
    } | {
        colStyle: {
            marginLeft: number;
            paddingLeft: number;
            width: number;
            maxWidth: number;
            flex: string;
            minWidth?: undefined;
        };
        name: string;
        hideLabel: boolean;
        stepValue: number;
        defaultValue: number;
        maxValue: number;
        minValue: number;
        type: string;
        value: any;
        useFieldValue: boolean;
        skipRecordUpdate: boolean | undefined;
        onChange: ((newRecord: Record<string, any>, field?: Record<string, any>) => Record<string, any> | undefined) | undefined;
        lineClassName?: undefined;
        lineStyle?: undefined;
        line?: undefined;
        labelSVGClassName?: undefined;
        onClickInfo?: undefined;
        content?: undefined;
    } | {
        colStyle: {
            marginLeft: number;
            paddingLeft: number;
            flex: string;
            maxWidth?: undefined;
            minWidth?: undefined;
            width?: undefined;
        };
        name: string;
        hideLabel: boolean;
        type: string;
        content: JSX.Element;
        lineClassName?: undefined;
        lineStyle?: undefined;
        line?: undefined;
        labelSVGClassName?: undefined;
        onClickInfo?: undefined;
        stepValue?: undefined;
        defaultValue?: undefined;
        maxValue?: undefined;
        minValue?: undefined;
        value?: undefined;
        useFieldValue?: undefined;
        skipRecordUpdate?: undefined;
        onChange?: undefined;
    } | undefined)[];
})[];
