var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from "react";
import { callApi, getApiEndpoint } from "primeobjects-ui-web-application";
import Button from "primeobjects-ui-web-application/build/cjs/controls/action-button";
import { COLORS, isNonEmptyString, processWebPage } from "primeobjects-helper-util";
import Lottie from "primeobjects-ui-web-basic/build/cjs/controls/lottie";
export var getUrlLoadRows = function (props) {
    var _a, _b, _c, _d, _e;
    var record = props.record, onDoing = props.onDoing, isDoing = props.isDoing, solution = props.solution, show = props.show, isError = props.isError, onError = props.onError, toRefreshForm = props.toRefreshForm, onFinishProcess = props.onFinishProcess, primaryColor = props.primaryColor;
    var processSettings = (_a = props.processSettings) !== null && _a !== void 0 ? _a : {};
    var name = (_b = props.name) !== null && _b !== void 0 ? _b : "url";
    var label = (_c = props.label) !== null && _c !== void 0 ? _c : "Address/URL";
    var placeholder = (_d = props.placeholder) !== null && _d !== void 0 ? _d : "Type the address/URLhere";
    var action = "process-web-page";
    var url = record[name];
    var onClickLoadWebContent = function () {
        if (isNonEmptyString(url)) {
            onDoing(action, true);
            callApi(solution, getApiEndpoint(solution, "content", "process-web-page"), 
            // "http://localhost:3000/prod/process-web-page ",
            { url: url }, "POST")
                .then(function (response) {
                var result = processWebPage(url, response.result, __assign({ removePipeInTitle: true, removeTitleFromContent: true }, processSettings));
                if (result) {
                    if (result === null || result === void 0 ? void 0 : result.error) {
                        onError(action, "failed", result === null || result === void 0 ? void 0 : result.error);
                    }
                    else {
                        onFinishProcess(result);
                    }
                }
                toRefreshForm();
            })
                .catch(function (error) {
                onError(action, "failed", error);
            })
                .finally(function () {
                onDoing(action, false);
            });
        }
    };
    return show
        ? [
            {
                style: { paddingBottom: "0.5rem" },
                fields: [
                    {
                        name: name,
                        label: label,
                        type: "single-line-input",
                        alwaysShowLabel: (_e = props.alwaysShowLabel) !== null && _e !== void 0 ? _e : true,
                        format: "url",
                        placeholder: placeholder
                    }
                ]
            },
            isError(action, "failed") && {
                name: "".concat(name, "ProcessFailed"),
                type: "container",
                content: (React.createElement("div", { className: "w-full text-red-600 px-3 pb-3" }, "Sorry, it was failed to load and process the web content. Note: some web addresses are protected by authentication or not allowed to be crawled by external script."))
            },
            !isDoing(action) && {
                fields: [
                    {
                        name: "".concat(name, "LoadButtons"),
                        content: (React.createElement("div", { className: "w-full" },
                            React.createElement(Button, { id: "".concat(name, "LoadButton"), onClick: onClickLoadWebContent, wrapperClassName: "bg-sky-500 hover:bg-sky-600 float-left min-w-36 px-3", wrapperStyle: { marginLeft: 0 }, text: "Load web content", textColor: COLORS.WHITE }))),
                        type: "custom"
                    }
                ]
            },
            isDoing(action) && {
                fields: [
                    {
                        name: "".concat(name, "Loading"),
                        content: (React.createElement("div", { className: "w-full flex flex-row" },
                            React.createElement("div", { className: "h-10" },
                                React.createElement(Lottie, { className: "w-full h-full", url: "/icons/platform/lottie/dots-2.json", colors: Array(6).fill(primaryColor[700]) })),
                            React.createElement("div", { className: "flex-1 text-base text-".concat(primaryColor.name, "-700 p-2") }, "loading and processing the web page ..."))),
                        type: "custom"
                    }
                ]
            }
        ]
        : [];
};
//# sourceMappingURL=url-load-rows.js.map